# benchmark for yocto build machine
This project includes a jenkins pipeline file for a yocto build.
The build contains following stages:


| # | name | decription |
| -------- | -------- | -------- |
| 1 | clone sources  |  clone the yocto sources from github |
| 1 | fetch sources  |  download all required sources for the yocto build. This step ensures that a slow download does not affect the build time measurement.    |
| 1 | build image    |  build yocto image |



## used yocto configuration

* Machine: qemux86
* Distro: poky
* yocto version: sumo
* image: core-image-minimal

# Results

| Machine      | CPU      | hard disc | comment | time  |
| --------     | -------- | --------- | ------- | ----- |
| stone        | AMD Ryzon 1700, 8 (8 logical cores per physical) | hd  | -  | 0h 35 min |
| stone        | AMD Ryzon 1700, 8 (8 logical cores per physical) | hd  | use docker for build  | 0h 41 min |
| imageBuild01 | 8 cores                                          | hd  | virtual machine / KVM | 1h 00 min |
| rock         | Intel Dualcore, 2 (2 logical cores per physical) | hd  | -  | 2h 11 min |
| laptop       | Intel i3,       2 (2 logical cores per physical) | hd  | - | 3h 00 min |
